Bug 1658777 - anaconda drags in the python36 module
Summary: anaconda drags in the python36 module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: anaconda
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Martin Kolman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1658674
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 20:37 UTC by Tomas Orsava
Modified: 2019-06-14 00:56 UTC (History)
5 users (show)

Fixed In Version: anaconda-29.19.0.28-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:56:33 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Tomas Orsava 2018-12-12 20:37:15 UTC
The `anaconda-core` package has a dependency on python3-coverage, and python3-coverage depends on the python36 module, which is then dragged in.


Solution:
The only change needed by anaconda is to switch the dependency from the `python3-coverage` package name to `platform-python-coverage`.


The new platform-python-coverage package will be available in the next nightly repos.

Comment 1 Jiri Konecny 2018-12-13 10:48:22 UTC
Is the `platform-python-coverage` backward compatible or do we need to change our code to replace the `python3-coverage`?

Comment 2 Tomas Orsava 2018-12-13 13:11:17 UTC
The package is completely the same, except it doesn't contain the /usr/bin/coverage-3* executables. Therefore no change to the code is necessary.

Comment 3 Radek Vykydal 2018-12-14 14:37:02 UTC
https://github.com/rhinstaller/anaconda/pull/1736

Comment 5 Peter Kotvan 2018-12-19 08:02:41 UTC
Verified (SanityOnly) in RHEL-8.0-20181218.n.1 with anaconda-29.19.0.29-1.el8.


Note You need to log in before you can comment on or make changes to this bug.